package RebuildByChangeWidget::CMS;

use strict;

sub _hdlr_rebuild_index {
    my ($cb, $app, $obj, $original) = @_;

    return 1 unless $obj->type() eq 'widgetset';

    my $plugin = MT->component('RebuildByChangeWidget');
    my $widgetset_name = $plugin->get_config_value('widgetset_name', 'blog:'.$app->blog->id);
    return 1 unless $obj->name eq $widgetset_name;

    my $template_name = $plugin->get_config_value('template_name', 'blog:'.$app->blog->id);
    my $template = MT::Template->load( { blog_id => $app->blog->id, name => $template_name } );
    return 1 unless $template;

    $app->rebuild_indexes(
        Blog => $app->blog,
        BlogID => $app->blog->id,
        Template => $template,
    );
    return 1;
}

1;
